> ## Documentation Index
> Fetch the complete documentation index at: https://developer.siit.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Import past Requests

## Introduction

This endpoint allows you to import previous requests (e.g., from another ticketing system).

Please note that:

1. These requests will be imported with a `resolved` status.
2. You can override the `created_at` field.
3. You can import up to **200** requests at once.
4. Any row that fails to import will abort the whole process.
5. Workflows won't be triggered and Notifications won't be sent out. Even if you re-open said requests.
6. Imported records will appear as if they were created from the Admin Dashboard by the **current user** identified by the API key.
7. Specifically on this endpoint you can reference users by email instead of UID, but note that this **will** create the users

## Example payload

```json theme={null}
{
    "items": [
        {
            "title": "Request created via Import: lorem ipsum",
            "description": "Note that workflows don't run and notifications arent fired",
            "requested_by": "u_4h72qjma",
            "assignee_admin": "bipbip@acme.com",
            "messages": [
                {
                    "body_text": "Hello this is a message",
                    "kind": "message",
                    "sent_by": "u_4h72qjma",
                    "created_at": "2026-02-27 20:55"
                },
                {
                    "body_text": "This is a note",
                    "kind": "note",
                    "sent_by": "dimitri@siit.io",
                    "created_at": "2026-02-27 21:00"
                },
                {
                    "body_text": "I can also create a user via this call",
                    "kind": "message",
                    "sent_by": "createme@siit.io",
                    "created_at": "2026-02-27 22:00"
                }
            ],
            "completed_at": "2026-02-27 23:42",
            "created_at": "2026-02-27 20:50",
            "custom_form_inputs": [
                {
                    "label": "This is an arbitrary label",
                    "value": "This is the value"
                },
                {
                    "label": "Old System Request ID",
                    "value": 42
                }
            ]
        }
    ]
}
```

## Usage


## OpenAPI

````yaml post /v1/requests/batch_import
openapi: 3.0.1
info:
  title: Siit Public API
  version: v0
servers:
  - url: https://api.siit.io
security: []
paths:
  /v1/requests/batch_import:
    post:
      tags:
        - Request
      summary: Import past Requests
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                items:
                  type: array
                  items:
                    type: object
                    properties:
                      title:
                        type: string
                      description:
                        type: string
                      priority:
                        type: string
                        enum:
                          - low
                          - medium
                          - high
                          - urgent
                        nullable: true
                      target_uid:
                        type: string
                        description: The UID of the associated Service.
                      requested_by:
                        type: string
                        description: >-
                          The UID of the requester. You can also pass an email
                          for that endpoint but keep in mind that this will
                          create the user if he doesnt exist
                        nullable: true
                      assignee_admin:
                        type: string
                        description: The UID of assigned User (Must be a Siit admin)
                        nullable: true
                      completed_at:
                        type: string
                        format: date-time
                        description: >-
                          datetime formatted as ISO 8601 (e.g.
                          "2020-12-15T03:34:13.000Z")
                        nullable: true
                      created_at:
                        type: string
                        format: date-time
                        description: >-
                          datetime formatted as ISO 8601 (e.g.
                          "2020-12-15T03:34:13.000Z")
                        nullable: true
                      custom_form_inputs:
                        type: array
                        description: >-
                          An optional array containing data attached to the
                          request. Each item must include either "uid" (native
                          input) or "label" (arbitrary input), plus "value".
                        items:
                          $ref: '#/components/schemas/custom_form_input_payload'
                      messages:
                        type: array
                        description: >-
                          An optional array of messages/notes to import with the
                          request
                        items:
                          type: object
                          properties:
                            body_text:
                              type: string
                              description: The message content
                            kind:
                              type: string
                              enum:
                                - message
                                - note
                              description: >-
                                "message" for user-visible messages, "note" for
                                internal admin notes
                            sent_by:
                              type: string
                              description: >-
                                UID or email of the sender. Using an email will
                                create the user if they do not exist.
                            created_at:
                              type: string
                              format: date-time
                              description: >-
                                datetime formatted as ISO 8601 (e.g.
                                "2020-12-15T03:34:13.000Z")
                              nullable: true
                          required:
                            - body_text
                            - kind
                            - sent_by
                        maxItems: 50
                    required:
                      - title
                      - requested_by
                  maxItems: 200
              required:
                - items
      responses:
        '201':
          description: Request created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/created_batch_ticket_object'
        '400':
          description: missing or invalid param
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors_object'
      security:
        - bearer: []
components:
  schemas:
    custom_form_input_payload:
      description: >-
        A custom form input item for request creation. Either "label" (arbitrary
        input) or "uid" (native input from service configuration) must be
        provided.
      oneOf:
        - title: Arbitrary input (by label)
          type: object
          properties:
            label:
              type: string
              description: Free-form label for the input
            value:
              type: string
              description: The input value
          required:
            - label
            - value
        - title: Native input (by uid)
          type: object
          properties:
            uid:
              type: string
              description: UID of a native custom form input from the service configuration
            value:
              description: The input value — type depends on the field kind
              oneOf:
                - title: String
                  type: string
                - title: Number
                  type: number
                - title: String array
                  type: array
                  items:
                    type: string
                - title: Number array
                  type: array
                  items:
                    type: number
              nullable: true
          required:
            - uid
            - value
    created_batch_ticket_object:
      type: object
      properties:
        results:
          type: array
          items:
            $ref: '#/components/schemas/ticket'
    errors_object:
      type: object
      properties:
        error:
          type: string
        troubleshoot:
          type: string
    ticket:
      type: object
      properties:
        uid:
          type: string
          readOnly: true
          description: The UID of the Request
        admin_permalink_url:
          type: string
          description: The link to the request in Siit admin dashboard
          readOnly: true
        archived_at:
          type: string
          nullable: true
          format: date-time
          readOnly: true
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
        assignee_admin:
          oneOf:
            - type: string
              description: UID when not expanded
            - $ref: '#/components/schemas/user'
          description: >-
            The admin user assigned to this request. Pass `?expand[]=field_name`
            for full object.
          nullable: true
        assignee_admin_uid:
          type: string
          description: 'DEPRECATED: Use `assignee_admin` instead. The UID of assigned User.'
          nullable: true
          deprecated: true
        assignee_inbox:
          oneOf:
            - type: string
              description: UID when not expanded
            - $ref: '#/components/schemas/team_inbox'
          description: >-
            The team inbox assigned to this request. Pass `?expand[]=field_name`
            for full object.
          nullable: true
        assignee_inbox_uid:
          type: string
          description: >-
            DEPRECATED: Use `assignee_inbox` instead. The UID of assigned Team
            inbox.
          nullable: true
          deprecated: true
        associated_apps:
          anyOf:
            - type: array
              items:
                type: string
            - type: array
              items:
                $ref: '#/components/schemas/application'
          description: >-
            Apps associated with this request. Pass `?expand[]=field_name` for
            full objects.
          nullable: true
        associated_equipments:
          anyOf:
            - type: array
              items:
                type: string
            - type: array
              items:
                $ref: '#/components/schemas/equipment'
          description: >-
            Equipment associated with this request. Pass `?expand[]=field_name`
            for full objects.
          nullable: true
        approvals:
          anyOf:
            - type: array
              items:
                type: string
            - type: array
              items:
                $ref: '#/components/schemas/request_approval'
          description: >-
            Approvals attached to this request. Pass `?expand[]=field_name` for
            full objects.
          nullable: true
        attachments:
          type: array
          description: Array containing the request attachments
          nullable: false
          items:
            $ref: '#/components/schemas/request_attachment'
        author:
          oneOf:
            - type: string
              description: UID when not expanded
            - $ref: '#/components/schemas/user'
            - $ref: '#/components/schemas/workflow'
            - $ref: '#/components/schemas/agent'
          description: >-
            The author of the request. Can be a User, Workflow, or Agent. Pass
            `?expand[]=field_name` for full object.
          nullable: true
          readOnly: true
        author_uid:
          type: string
          description: 'DEPRECATED: Use `author` instead. The UID of the author.'
          nullable: true
          readOnly: true
          deprecated: true
        completed_at:
          type: string
          nullable: true
          format: date-time
          readOnly: true
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
        completed_by:
          oneOf:
            - type: string
              description: UID when not expanded
            - $ref: '#/components/schemas/user'
          description: >-
            The user who completed this request. Pass `?expand[]=field_name` for
            full object.
          nullable: true
          readOnly: true
        completed_by_uid:
          type: string
          description: >-
            DEPRECATED: Use `completed_by` instead. The UID of the user that
            completed this request.
          nullable: true
          readOnly: true
          deprecated: true
        created_at:
          type: string
          format: date-time
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
          readOnly: true
        custom_form_inputs:
          type: array
          description: Custom forms attached to this request
          items:
            $ref: '#/components/schemas/custom_form_input'
          nullable: true
          readOnly: true
        description:
          type: string
          description: >-
            DEPRECATED: Use `description_markdown` instead. The description of
            the Request
          nullable: true
          deprecated: true
        description_markdown:
          type: string
          description: The description of the Request, rendered as markdown
          nullable: true
          readOnly: true
        follower_uids:
          type: array
          description: >-
            DEPRECATED: Use `followers` instead. Array containing the followers
            UIDs.
          nullable: true
          items:
            type: string
          deprecated: true
        followers:
          anyOf:
            - type: array
              items:
                type: string
            - type: array
              items:
                $ref: '#/components/schemas/user'
          description: >-
            Users following this request. Pass `?expand[]=field_name` for full
            objects.
          nullable: true
        friendly_id:
          type: string
          description: A friendly ID (REQ-xx) where xx is a sequential number
          readOnly: true
        mode:
          type: string
          description: Will be "public" only for Slack public threads (for now)
          enum:
            - private
            - public
          readOnly: true
        priority:
          type: string
          enum:
            - low
            - medium
            - high
            - urgent
        requested_by:
          oneOf:
            - type: string
              description: UID when not expanded
            - $ref: '#/components/schemas/user'
          description: >-
            The user who requested this ticket. Pass `?expand[]=field_name` for
            full object.
          nullable: true
        requested_by_uid:
          type: string
          description: 'DEPRECATED: Use `requested_by` instead. The UID of the requester.'
          nullable: true
          readOnly: true
          deprecated: true
        slack_channel_id:
          type: string
          description: ID of the channel where the request was created
          nullable: true
          readOnly: true
        slack_direct_link:
          type: string
          description: Slack message permalink
          nullable: true
          readOnly: true
        slack_thread_ts:
          type: string
          description: Slack thread timestamp
          nullable: true
          readOnly: true
        slack_ts:
          type: string
          description: Slack timestamp
          nullable: true
          readOnly: true
        sla_data:
          type: object
          description: >-
            A Hash containing SLA data (only sent when Company has access to the
            feature)
          nullable: true
          readOnly: true
          properties:
            first_replied_at:
              type: string
              format: date-time
              description: >-
                When the request was first replied to, formatted as ISO 8601
                (e.g. "2020-12-15T03:34:13.000Z")
              nullable: true
              readOnly: true
            first_completed_at:
              type: string
              format: date-time
              description: >-
                When the request was first completed, formatted as ISO 8601
                (e.g. "2020-12-15T03:34:13.000Z")
              nullable: true
              readOnly: true
            paused_at:
              type: string
              format: date-time
              description: >-
                When the SLA was last paused, formatted as ISO 8601 (e.g.
                "2020-12-15T03:34:13.000Z")
              nullable: true
              readOnly: true
            first_reply_due_at:
              type: string
              format: date-time
              description: >-
                When the first reply is due, formatted as ISO 8601 (e.g.
                "2020-12-15T03:34:13.000Z")
              nullable: true
              readOnly: true
            first_reply_status:
              type: string
              description: Status of the first response SLA
              enum:
                - breached
                - due
                - none
                - paused
                - resolved
              nullable: true
              readOnly: true
            first_completion_due_at:
              type: string
              format: date-time
              description: >-
                When the first completion is due, formatted as ISO 8601 (e.g.
                "2020-12-15T03:34:13.000Z")
              nullable: true
              readOnly: true
            first_completion_status:
              type: string
              description: Status of the time-to-resolve SLA
              enum:
                - breached
                - due
                - none
                - paused
                - resolved
              nullable: true
              readOnly: true
        status:
          type: string
          description: Request status
          enum:
            - open
            - in_progress
            - waiting
            - resolved
            - archived
          default: open
        submitted_from:
          type: string
          description: Describes how the request was submitted
          enum:
            - employee_portal
            - slack
            - mail
            - ms_teams
            - admin_dashboard
            - workflow
            - public_api
            - external
          readOnly: true
        tag_uids:
          type: array
          description: >-
            DEPRECATED: Use `tags` instead. Array containing the Request Tags
            UIDs.
          nullable: true
          items:
            type: string
          deprecated: true
        tags:
          anyOf:
            - type: array
              items:
                type: string
            - type: array
              items:
                $ref: '#/components/schemas/request_tag'
          description: >-
            Tags associated with this request. Pass `?expand[]=field_name` for
            full objects.
          nullable: true
        target:
          oneOf:
            - type: string
              description: UID when not expanded
            - $ref: '#/components/schemas/service'
          description: >-
            Service associated with this request. Pass `?expand[]=field_name`
            for full object.
          nullable: true
        target_uid:
          type: string
          description: 'DEPRECATED: Use `target` instead. The UID of the associated Service.'
          nullable: true
          deprecated: true
        title:
          type: string
          description: 'DEPRECATED: Use `title_markdown` instead. The title of the Request'
          deprecated: true
        title_markdown:
          type: string
          description: The title of the Request, rendered as markdown
          readOnly: true
        updated_at:
          type: string
          format: date-time
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
          readOnly: true
    user:
      type: object
      properties:
        birthday_date:
          type: string
          format: date
          description: date formatted as ISO 8601 (e.g. "2020-12-15")
          nullable: true
        city:
          type: string
          nullable: true
        contract_type:
          type: string
          nullable: true
          enum:
            - contract
            - expat
            - fulltime
            - intern
            - parttime
            - temporary
        country:
          type: string
          description: 'ISO3166 alpha-2 country code (e.g: "PT")'
          nullable: true
        employee_number:
          type: string
          nullable: true
        first_name:
          type: string
          nullable: true
        gender:
          type: string
          enum:
            - female
            - male
            - non_binary
            - other
            - prefer_not_to_disclose
          nullable: true
        hire_date:
          type: string
          format: date
          description: date formatted as ISO 8601 (e.g. "2020-12-15")
          nullable: true
        job_leave_date:
          type: string
          format: date
          description: date formatted as ISO 8601 (e.g. "2020-12-15")
          nullable: true
        job_start_date:
          type: string
          format: date
          description: date formatted as ISO 8601 (e.g. "2020-12-15")
          nullable: true
        job_title:
          type: string
          nullable: true
        last_name:
          type: string
          nullable: true
        last_working_date:
          type: string
          format: date
          description: date formatted as ISO 8601 (e.g. "2020-12-15")
          nullable: true
        preferred_language:
          type: string
          description: A language in IETF format (en-US, pt-PT, fr-FR...)
          nullable: true
        probation_end_date:
          type: string
          format: date
          description: date formatted as ISO 8601 (e.g. "2020-12-15")
          nullable: true
        work_phone:
          type: string
          nullable: true
        uid:
          type: string
          description: The UID of the User
          readOnly: true
        admin_permalink_url:
          type: string
          description: The link to the User in Siit admin dashboard
          readOnly: true
        archived_at:
          type: string
          nullable: true
          format: date-time
          readOnly: true
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
        created_at:
          type: string
          format: date-time
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
          readOnly: true
        department:
          oneOf:
            - type: string
              description: UID when not expanded
            - $ref: '#/components/schemas/department'
          description: >-
            The department this user belongs to. Pass `?expand[]=field_name` for
            full object.
          nullable: true
        department_uid:
          type: string
          description: 'DEPRECATED: Use `department` instead. A Department UID'
          nullable: true
          deprecated: true
        emails:
          type: array
          description: An array of all the known emails for this User
          readOnly: true
          items:
            type: string
        full_name:
          type: string
          description: The full name of the User
          readOnly: true
          nullable: true
        legal_entity:
          oneOf:
            - type: string
              description: UID when not expanded
            - $ref: '#/components/schemas/legal_entity'
          description: >-
            The legal entity this user belongs to. Pass `?expand[]=field_name`
            for full object.
          nullable: true
        legal_entity_uid:
          type: string
          description: 'DEPRECATED: Use `legal_entity` instead. A Legal Entity UID'
          nullable: true
          deprecated: true
        microsoft_entra_ids:
          description: The Microsoft Entra IDs (Azure Directory) associated with that User
          type: array
          readOnly: true
          items:
            type: string
        microsoft_entra_group_ids:
          description: >-
            The Microsoft Entra Group IDs (Azure Directory) associated to that
            User
          type: array
          readOnly: true
          items:
            type: string
        office_location:
          oneOf:
            - type: string
              description: UID when not expanded
            - $ref: '#/components/schemas/office_location'
          description: >-
            The office location of this user. Pass `?expand[]=field_name` for
            full object.
          nullable: true
        office_location_uid:
          type: string
          description: 'DEPRECATED: Use `office_location` instead. An Office Location UID'
          nullable: true
          deprecated: true
        report_to:
          oneOf:
            - type: string
              description: UID when not expanded
            - $ref: '#/components/schemas/user'
          description: >-
            The manager of this user. Pass `?expand[]=field_name` for full
            object.
          nullable: true
        report_to_uid:
          type: string
          description: >-
            DEPRECATED: Use `report_to` instead. The UID of the manager of this
            user
          nullable: true
          deprecated: true
        role_name:
          type: string
          description: The role of the User
          readOnly: true
          enum:
            - owner
            - admin
            - it
            - hr
            - ops
            - finance
            - custom
            - user
        slack_user_id:
          type: string
          description: The Slack user ID of the User (e.g. U0G9QF9C6)
          readOnly: true
          nullable: true
        status:
          type: string
          description: The status of the User
          readOnly: true
          enum:
            - alumni
            - employee
            - external
            - hired
          default: employee
        team_uids:
          type: array
          description: 'DEPRECATED: Use `teams` instead. An array of Team UIDs'
          items:
            type: string
          deprecated: true
        teams:
          anyOf:
            - type: array
              items:
                type: string
            - type: array
              items:
                $ref: '#/components/schemas/team'
          description: >-
            Teams this user belongs to. Pass `?expand[]=field_name` for full
            objects.
          nullable: true
        timezone:
          type: string
          description: ''
          readOnly: true
          nullable: true
        updated_at:
          type: string
          format: date-time
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
          readOnly: true
    team_inbox:
      type: object
      properties:
        uid:
          type: string
          readOnly: true
          description: The UID of the Team Inbox
        created_at:
          type: string
          format: date-time
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
          readOnly: true
        updated_at:
          type: string
          format: date-time
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
          readOnly: true
        value:
          type: string
          description: The Team Inbox name
    application:
      type: object
      properties:
        uid:
          type: string
          readOnly: true
          description: The UID of the Application
        admin_permalink_url:
          type: string
          description: The link to the Application in Siit admin dashboard
          readOnly: true
        about:
          type: string
          description: A short description of the Application
          nullable: true
        app_link:
          type: string
          description: The URL to the Application
          nullable: false
        app_owner:
          oneOf:
            - type: string
              description: UID when not expanded
            - $ref: '#/components/schemas/user'
          description: >-
            The App owner. Can only be a User for now but this might evolve.
            Pass `?expand[]=field_name` for full object.
          nullable: true
        app_owner_uid:
          type: string
          description: 'DEPRECATED: Use `app_owner` instead. The UID of app owner.'
          nullable: true
          deprecated: true
        app_owner_backup:
          oneOf:
            - type: string
              description: UID when not expanded
            - $ref: '#/components/schemas/user'
          description: >-
            The App owner backup. Can only be a User for now but this might
            evolve. Pass `?expand[]=field_name` for full object.
          nullable: true
        app_owner_backup_uid:
          type: string
          description: >-
            DEPRECATED: Use `app_owner_backup` instead. The UID of app owner
            backup.
          nullable: true
          deprecated: true
        created_at:
          type: string
          format: date-time
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
          readOnly: true
        currency:
          type: string
          nullable: true
        discovered_at:
          type: string
          format: date
          description: date formatted as ISO 8601 (e.g. "2020-12-15")
        lifecycle:
          type: string
          description: Empty when `status` is not "approved"
          enum:
            - active
            - cost_optimization
            - deprecated
            - evaluating
            - security_assessment
          nullable: true
        name:
          type: string
          description: The Application name
          nullable: false
        renewal_date:
          type: string
          format: date
          description: date formatted as ISO 8601 (e.g. "2020-12-15")
          nullable: true
        status:
          type: string
          description: The status of the Application
          enum:
            - approved
            - discovered
            - restricted
          default: discovered
        total_annual_cost:
          type: number
          description: Application's annual cost.
          default: 0
          nullable: true
        updated_at:
          type: string
          format: date-time
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
          readOnly: true
        instances:
          anyOf:
            - type: array
              items:
                type: string
            - type: array
              items:
                $ref: '#/components/schemas/application_instance'
          description: >-
            Application instances from providers. Pass `?expand[]=field_name`
            for full objects.
          nullable: true
          readOnly: true
        users_count:
          type: integer
          description: Number of Siit users attached to the Application
          readOnly: true
    equipment:
      type: object
      properties:
        uid:
          type: string
          readOnly: true
          description: The UID of the Equipment
        admin_permalink_url:
          type: string
          description: The link to the Equipment in Siit admin dashboard
          readOnly: true
        added_by:
          oneOf:
            - type: string
              description: UID when not expanded
            - $ref: '#/components/schemas/user'
          description: >-
            The user created this equipment. Pass `?expand[]=field_name` for
            full object.
          nullable: true
          readOnly: true
        category:
          oneOf:
            - type: string
              description: UID when not expanded
            - $ref: '#/components/schemas/equipment_category'
          description: >-
            Category of this equipment. Defaults to "Other device". Pass
            `?expand[]=field_name` for full object.
          nullable: false
        category_uid:
          type: string
          description: 'DEPRECATED: Use `category` instead.'
          nullable: false
        collection_date:
          type: string
          format: date
          description: date formatted as ISO 8601 (e.g. "2020-12-15")
          nullable: true
        created_at:
          type: string
          format: date-time
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
          readOnly: true
        depreciation_rate:
          type: number
          nullable: true
        equipment_issue_date:
          type: string
          format: date
          description: date formatted as ISO 8601 (e.g. "2020-12-15")
          nullable: true
        external_id:
          type: string
          nullable: true
          readOnly: true
        external_url:
          type: string
          nullable: true
          readOnly: true
        firmware_version:
          type: string
          nullable: true
        guarantee_date:
          type: string
          format: date
          description: date formatted as ISO 8601 (e.g. "2020-12-15")
          nullable: true
        holder:
          oneOf:
            - type: string
              description: UID when not expanded
            - $ref: '#/components/schemas/user'
          description: >-
            The user who holds this equipment. Pass `?expand[]=field_name` for
            full object.
          nullable: true
        holder_uid:
          type: string
          description: 'DEPRECATED: Use `holder` instead. The UID of a user.'
          nullable: true
          deprecated: true
        ip_address:
          type: string
          nullable: true
        keyboard_layout:
          type: string
          nullable: true
        last_contact_date:
          type: string
          format: date
          description: date formatted as ISO 8601 (e.g. "2020-12-15")
          nullable: true
        last_enrollment_date:
          type: string
          format: date
          description: date formatted as ISO 8601 (e.g. "2020-12-15")
          nullable: true
        last_maintenance_date:
          type: string
          format: date
          description: date formatted as ISO 8601 (e.g. "2020-12-15")
          nullable: true
        last_report_date:
          type: string
          format: date
          description: date formatted as ISO 8601 (e.g. "2020-12-15")
          nullable: true
        leasing_buyout_option:
          type: boolean
          nullable: true
        leasing_company:
          type: string
          nullable: true
        leasing_company_contact:
          type: string
          nullable: true
        leasing_contract_id:
          type: string
          nullable: true
        leasing_end_date:
          type: string
          format: date
          description: date formatted as ISO 8601 (e.g. "2020-12-15")
          nullable: true
        leasing_monthly_cost:
          type: number
          nullable: true
        leasing_start_date:
          type: string
          format: date
          description: date formatted as ISO 8601 (e.g. "2020-12-15")
          nullable: true
        leasing_status:
          type: string
          nullable: true
          enum:
            - active
            - expired
        lifecycle:
          type: string
          enum:
            - broken
            - in_order
            - in_service
            - lost
            - maintenance
            - outdated
            - reserved
            - sold
            - spare
            - stolen
          default: in_service
          nullable: true
        mac_address:
          type: string
          nullable: true
        model:
          type: string
          nullable: true
        name:
          type: string
          nullable: false
        notes:
          type: string
          nullable: true
        office_location:
          oneOf:
            - type: string
              description: UID when not expanded
            - $ref: '#/components/schemas/office_location'
          description: >-
            Office Location of this equipment. Pass `?expand[]=field_name` for
            full object.
          nullable: true
        office_location_uid:
          type: string
          description: 'DEPRECATED: Use `office_location` instead.'
          nullable: true
        os_name:
          type: string
          nullable: true
        processor_type:
          type: string
          nullable: true
        purchase_cost:
          type: number
          nullable: true
        purchase_date:
          type: string
          format: date
          description: date formatted as ISO 8601 (e.g. "2020-12-15")
          nullable: true
        purchase_number:
          type: string
          nullable: true
        serial_number:
          type: string
          nullable: true
        source:
          type: string
          description: Where the equipment was discovered from
          enum:
            - intune
            - jamf
            - jumpcloud_actions
            - kandji
            - siit
          default: siit
          nullable: true
          readOnly: true
        storage_capacity_mb:
          type: integer
          nullable: true
        storage_type:
          type: string
          nullable: true
          enum:
            - hdd
            - nvme
            - other
            - ssd
        total_ram_mb:
          type: integer
          nullable: true
        updated_at:
          type: string
          format: date-time
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
          readOnly: true
        vendor_name:
          type: string
          nullable: true
    request_approval:
      type: object
      properties:
        uid:
          type: string
          readOnly: true
          description: The UID of the Approval
        state:
          type: string
          enum:
            - approved
            - expired
            - pending
            - rejected
          readOnly: true
          description: Current state of the Approval
        approver:
          oneOf:
            - type: string
              description: UID when not expanded
            - $ref: '#/components/schemas/user'
          description: >-
            The approver. Currently always a User; may include other approver
            types in the future. Pass `?expand[]=field_name` for full object.
          nullable: true
          readOnly: true
        request:
          oneOf:
            - type: string
              description: UID when not expanded
            - $ref: '#/components/schemas/ticket'
          description: >-
            The Request the Approval is attached to. Pass `?expand[]=field_name`
            for full object.
          nullable: false
          readOnly: true
        created_at:
          type: string
          format: date-time
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
          readOnly: true
        updated_at:
          type: string
          format: date-time
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
          readOnly: true
    request_attachment:
      type: object
      properties:
        filename:
          type: string
        url:
          type: string
    workflow:
      type: object
      properties:
        uid:
          type: string
          readOnly: true
          description: The UID of the Workflow
        author:
          oneOf:
            - type: string
              description: UID when not expanded
            - $ref: '#/components/schemas/user'
          description: >-
            The user who created the workflow. Pass `?expand[]=field_name` for
            full object.
          nullable: true
        author_uid:
          type: string
          description: 'DEPRECATED: Use `author` instead. The UID of the author.'
          nullable: true
          readOnly: true
          deprecated: true
        created_at:
          type: string
          format: date-time
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
          readOnly: true
        executed_count:
          type: integer
          description: Workflow's executions count.
          readOnly: true
          default: 0
        name:
          type: string
          description: The Workflow name
        status:
          type: string
          description: The status of the Workflow
          enum:
            - draft
            - live
            - paused
            - archived
          default: draft
          readOnly: true
        trigger_name:
          type: string
          enum:
            - date.date
            - user.birthday_date
            - user.work_anniversary
            - user.job_start_date
            - user.job_leave_date
            - user.probation_end_date
            - request.submitted
            - request.resolved
            - request.in_progress
            - request.waiting
            - request.reopened
            - request.snoozed
            - request.snooze_expired
            - request.admin_replied
            - request.user_replied
            - request.user_unresponsive
            - request.tag_added
            - request.sla_breached
            - request.admin_unresponsive
          readOnly: true
        trigger_type:
          type: string
          description: The type of Workflow trigger
          enum:
            - date
            - user
            - request
          readOnly: true
        updated_at:
          type: string
          format: date-time
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
          readOnly: true
    agent:
      type: object
      properties:
        uid:
          type: string
          readOnly: true
          description: The UID of the Agent
        created_at:
          type: string
          format: date-time
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
          readOnly: true
        name:
          type: string
          description: The Agent name
        updated_at:
          type: string
          format: date-time
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
          readOnly: true
    custom_form_input:
      type: object
      properties:
        kind:
          type: string
          description: The type of the field
          enum:
            - attachment
            - datepicker
            - number
            - select
            - select_application
            - select_country
            - select_department
            - select_equipment
            - select_legal_entity
            - select_office_location
            - select_people
            - select_team
            - string
            - text
        label:
          type: string
          description: The label of the custom form
        value:
          oneOf:
            - type: string
            - type: array
              items:
                type: string
            - type: number
          description: The value for the field
          nullable: true
    request_tag:
      type: object
      properties:
        uid:
          type: string
          readOnly: true
          description: The UID of the Request Tag
        created_at:
          type: string
          format: date-time
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
          readOnly: true
        updated_at:
          type: string
          format: date-time
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
          readOnly: true
        value:
          type: string
          description: The Tag name
    service:
      type: object
      properties:
        uid:
          type: string
          readOnly: true
          description: The UID of the Service
        about:
          type: string
          description: The Service description
          nullable: true
        category:
          oneOf:
            - type: string
              description: UID when not expanded
            - $ref: '#/components/schemas/service_category'
          description: >-
            The category of this Service. Pass `?expand[]=field_name` for full
            object.
          nullable: false
        created_at:
          type: string
          format: date-time
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
          readOnly: true
        custom_form_input_configuration:
          type: array
          description: Custom form input configuration for this Service
          nullable: true
          readOnly: true
          items:
            $ref: '#/components/schemas/service_custom_form_input'
        enabled:
          type: boolean
          description: Indicates if the Service is enabled
        name:
          type: string
          description: The Service name
          nullable: false
        updated_at:
          type: string
          format: date-time
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
          readOnly: true
    department:
      type: object
      properties:
        uid:
          type: string
          readOnly: true
          description: The UID of the Department
        created_at:
          type: string
          format: date-time
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
          readOnly: true
        updated_at:
          type: string
          format: date-time
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
          readOnly: true
        value:
          type: string
          description: The Department name
    legal_entity:
      type: object
      properties:
        uid:
          type: string
          readOnly: true
          description: The UID of the Legal Entity
        created_at:
          type: string
          format: date-time
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
          readOnly: true
        updated_at:
          type: string
          format: date-time
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
          readOnly: true
        value:
          type: string
          description: The Legal Entity name
    office_location:
      type: object
      properties:
        uid:
          type: string
          readOnly: true
          description: The UID of the Office Location
        created_at:
          type: string
          format: date-time
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
          readOnly: true
        updated_at:
          type: string
          format: date-time
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
          readOnly: true
        value:
          type: string
          description: The Office Location name
    team:
      type: object
      properties:
        uid:
          type: string
          readOnly: true
          description: The UID of the Team
        created_at:
          type: string
          format: date-time
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
          readOnly: true
        updated_at:
          type: string
          format: date-time
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
          readOnly: true
        value:
          type: string
          description: The Team name
    application_instance:
      type: object
      properties:
        uid:
          type: string
          readOnly: true
          description: The UID of the Application Instance
        provider:
          type: string
          description: The provider that manages this instance
          enum:
            - corma
            - google_admin
            - jumpcloud_actions
            - ms_entra
            - okta_actions
        external_id:
          type: string
          description: The external identifier from the provider
        instance_url:
          type: string
          description: The URL of the application instance
          nullable: true
        instance_name:
          type: string
          description: The name of the application instance
          nullable: true
        created_at:
          type: string
          format: date-time
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
          readOnly: true
        updated_at:
          type: string
          format: date-time
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
          readOnly: true
    equipment_category:
      type: object
      properties:
        uid:
          type: string
          readOnly: true
          description: The UID of the Equipment Category
        created_at:
          type: string
          format: date-time
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
          readOnly: true
        equipment_type:
          type: string
          enum:
            - computer
            - smartphone
            - tablet
            - other_device
            - custom
          nullable: false
        label:
          type: string
          enum:
            - device
            - asset
          nullable: false
        name:
          type: string
          description: The name of the Equipment Category
    service_category:
      type: object
      properties:
        uid:
          type: string
          readOnly: true
          description: The UID of the Category
        name:
          type: string
          description: The Service's category name
          nullable: false
    service_custom_form_input:
      type: object
      properties:
        uid:
          type: string
          readOnly: true
          description: The UID of the custom form input
        kind:
          type: string
          description: The type of the field
          enum:
            - attachment
            - datepicker
            - number
            - select
            - select_application
            - select_country
            - select_department
            - select_equipment
            - select_legal_entity
            - select_office_location
            - select_people
            - select_team
            - string
            - text
        label:
          type: string
          description: The label of the custom form input
        multiple:
          type: boolean
          description: Whether multiple values can be selected
          nullable: true
        options:
          type: array
          description: Available options for select fields
          nullable: true
          items:
            type: string
        required:
          type: boolean
          description: Whether this field is required
        triggers_app_access:
          type: boolean
          description: Whether this field triggers an app access request
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````